SRD Standelone programmation box: tTickCtrl Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tTickCtrl Struct Reference

Structure used to control ticks. More...

`#include "tick.h"`

## Data Fields

union {
struct {
unsigned long flag10ms: 1
unsigned long flag100ms: 1
unsigned long flag1s: 1
unsigned long flag1min: 1
unsigned long overrun: 1
unsigned long RSVD: 27
} bits
unsigned long all
} | flags
unsigned long | counter10ms
unsigned long | counter100ms
unsigned long | counter1s
unsigned long | counter1min

## Detailed Description

Structure used to control ticks.

Definition at line 89 of file tick.h.

## Field Documentation

unsigned long tTickCtrl::all

Global access

Definition at line 99 of file tick.h.

Referenced by TickInit().

struct { ... } tTickCtrl::bits

Bit access

Referenced by main(), and TickCallBack().

unsigned long tTickCtrl::counter100ms

Counter used by the 100 ms tick

Definition at line 102 of file tick.h.

Referenced by TickCallBack(), and TickInit().

unsigned long tTickCtrl::counter10ms

Counter use by 10 ms tick

Definition at line 101 of file tick.h.

Referenced by TickCallBack(), and TickInit().

unsigned long tTickCtrl::counter1min

Counter used by the 1 min tick

Definition at line 104 of file tick.h.

Referenced by TickCallBack(), and TickInit().

unsigned long tTickCtrl::counter1s

Counter used by the 1 s tick

Definition at line 103 of file tick.h.

Referenced by TickCallBack(), and TickInit().

unsigned long tTickCtrl::flag100ms

flag 100ms

Definition at line 93 of file tick.h.

unsigned long tTickCtrl::flag10ms

flag 10ms

Definition at line 92 of file tick.h.

unsigned long tTickCtrl::flag1min

flag 1 min

Definition at line 95 of file tick.h.

unsigned long tTickCtrl::flag1s

flag 1s

Definition at line 94 of file tick.h.

union { ... } tTickCtrl::flags

Tick flags

Referenced by main(), TickCallBack(), and TickInit().

unsigned long tTickCtrl::overrun

flag overrun

Definition at line 96 of file tick.h.

unsigned long tTickCtrl::RSVD

RESERVED

Definition at line 97 of file tick.h.

The documentation for this struct was generated from the following file:

- tick.h